
Summary:	ReportLab library to create PDF documents using Python
Name:		python-reportlab
Version:	2.5
Release:	%mkrel 5
URL:		http://www.reportlab.org/
Source0:	http://www.reportlab.org/ftp/reportlab-%{version}.tar.gz
Patch0:		reportlab-%{version}-font-locations.patch
Patch1:		reportlab-%{version}-link-m.patch
License:	BSD
Group:		Publishing
BuildRoot:	%{_tmppath}/%{name}-buildroot
%py_requires -d
BuildRequires: python-imaging, freetype-devel
Requires:   fonts-ttf-dejavu

%description
ReportLab is a library that lets you directly create documents in
Adobe's Portable Document Format (PDF) using the Python programming
language.

ReportLab library creates PDF based on graphics commands without
intervening steps. It's therefore extremely fast, and flexible (since
you're using a full-blown programming language).

Sample use cases are:

  * Dynamic PDF generation on the web
  * High-volume corporate reporting and database publishing
  * As embeddable print engine for other applications, including a
    'report language' so that users can customize their own reports.
  * As 'build system' for complex documents with charts, tables and text
    such as management accounts, statistical reports and scientific papers
  * from XML to PDF in one step

%package docs
Summary:	Documentation files for %{name}
Requires:	%{name} = %{version}-%{release}
Group:		Publishing
License:	BSD

%description docs
Contains the documentation for ReportLab.

%prep
%setup -q -n reportlab-%{version}
%patch0 -p1 -b .fonts
%patch1 -p0 
# clean up hashbangs from libraries
find src -name '*.py' | xargs sed -i -e '/^#!\//d'

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
# a bit of a horrible hack due to a chicken-and-egg problem. The docs
# require reportlab, which isn't yet installed, but is at least built.
PYTHONPATH="`pwd`/`ls -d build/lib*`" %{__python} docs/genAll.py


%install
rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# Remove bundled fonts
rm -rf %{buildroot}%{python_sitearch}/reportlab/fonts


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt CHANGES.txt LICENSE.txt 
%{py_platsitedir}/reportlab
%{py_platsitedir}/reportlab*.egg-info
%{py_platsitedir}/*.so

%files docs
%defattr(-,root,root,-)
%doc docs/*.pdf demos tools LICENSE.txt




%changelog
* Thu Feb 17 2011 philippem <philippem> 2.5-5.mga1
+ Revision: 52985
- fix missing group for docs #31

* Fri Feb 11 2011 philippem <philippem> 2.5-4.mga1
+ Revision: 49993
- fix linkage
- imported package python-reportlab


* Thu Feb 10 2011 Philippe Makowski <makowski.mageia@gmail.com> 2.5-3mga1
- Do not bundle fonts
- Point the config to Mageia's font locations

* Sun Oct 31 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 2.5-2mdv2011.0
+ Revision: 590771
- rebuild for new python 2.7

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.5-1mdv2011.0
+ Revision: 587729
- update to new version 2.5

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.4-1mdv2010.1
+ Revision: 496371
- update to new version 2.4

* Tue Oct 06 2009 Thierry Vignaud <tv@mandriva.org> 2.3-2mdv2010.0
+ Revision: 454778
- do not package huge doc

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.3-1mdv2010.0
+ Revision: 384256
- update to new version 2.3

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 2.2-2mdv2009.1
+ Revision: 318902
- rediff fontclean patch
- rebuild for new python

* Sat Nov 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-1mdv2009.1
+ Revision: 305869
- update to new version 2.2

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 2.1-3mdv2009.0
+ Revision: 225140
- rebuild

* Thu Feb 28 2008 Adam Williamson <awilliamson@mandriva.org> 2.1-2mdv2008.1
+ Revision: 176412
- tweak install command to pre-generate .pyo as well as .pyc files
- add fontclean.patch: uses the free replacement fonts (#38254)
- use modified tarball with non-free Odyssey translation and non-free fonts replaced (#38254)
- spec clean

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 16 2007 Lev Givon <lev@mandriva.org> 2.1-1mdv2008.1
+ Revision: 99385
- Update to 2.1.

* Thu Jul 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.0-1mdv2008.0
+ Revision: 55866
- update to new version 2.0


* Tue Dec 05 2006 Michael Scherer <misc@mandriva.org> 1.19-5mdv2007.0
+ Revision: 91357
- rebuild for new python, fix file listing, as it is not a noarch package

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new python
    - import python-reportlab-1.19-3mdk

